<?php
namespace PHPMaker2020\project2;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$imagenes_inmueble_add = new imagenes_inmueble_add();

// Run the page
$imagenes_inmueble_add->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$imagenes_inmueble_add->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var fimagenes_inmuebleadd, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "add";
	fimagenes_inmuebleadd = currentForm = new ew.Form("fimagenes_inmuebleadd", "add");

	// Validate form
	fimagenes_inmuebleadd.validate = function() {
		if (!this.validateRequired)
			return true; // Ignore validation
		var $ = jQuery, fobj = this.getForm(), $fobj = $(fobj);
		if ($fobj.find("#confirm").val() == "F")
			return true;
		var elm, felm, uelm, addcnt = 0;
		var $k = $fobj.find("#" + this.formKeyCountName); // Get key_count
		var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
		var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
		var gridinsert = ["insert", "gridinsert"].includes($fobj.find("#action").val()) && $k[0];
		for (var i = startcnt; i <= rowcnt; i++) {
			var infix = ($k[0]) ? String(i) : "";
			$fobj.data("rowindex", infix);
			<?php if ($imagenes_inmueble_add->id_producto->Required) { ?>
				elm = this.getElements("x" + infix + "_id_producto");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $imagenes_inmueble_add->id_producto->caption(), $imagenes_inmueble_add->id_producto->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_id_producto");
				if (elm && !ew.checkInteger(elm.value))
					return this.onError(elm, "<?php echo JsEncode($imagenes_inmueble_add->id_producto->errorMessage()) ?>");
			<?php if ($imagenes_inmueble_add->num_imagen->Required) { ?>
				elm = this.getElements("x" + infix + "_num_imagen");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $imagenes_inmueble_add->num_imagen->caption(), $imagenes_inmueble_add->num_imagen->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($imagenes_inmueble_add->imagen->Required) { ?>
				felm = this.getElements("x" + infix + "_imagen");
				elm = this.getElements("fn_x" + infix + "_imagen");
				if (felm && elm && !ew.hasValue(elm))
					return this.onError(felm, "<?php echo JsEncode(str_replace("%s", $imagenes_inmueble_add->imagen->caption(), $imagenes_inmueble_add->imagen->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($imagenes_inmueble_add->estado->Required) { ?>
				elm = this.getElements("x" + infix + "_estado");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $imagenes_inmueble_add->estado->caption(), $imagenes_inmueble_add->estado->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_estado");
				if (elm && !ew.checkInteger(elm.value))
					return this.onError(elm, "<?php echo JsEncode($imagenes_inmueble_add->estado->errorMessage()) ?>");

				// Call Form_CustomValidate event
				if (!this.Form_CustomValidate(fobj))
					return false;
		}

		// Process detail forms
		var dfs = $fobj.find("input[name='detailpage']").get();
		for (var i = 0; i < dfs.length; i++) {
			var df = dfs[i], val = df.value;
			if (val && ew.forms[val])
				if (!ew.forms[val].validate())
					return false;
		}
		return true;
	}

	// Form_CustomValidate
	fimagenes_inmuebleadd.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

		// Your custom validation code here, return false if invalid.
		return true;
	}

	// Use JavaScript validation or not
	fimagenes_inmuebleadd.validateRequired = <?php echo Config("CLIENT_VALIDATE") ? "true" : "false" ?>;

	// Dynamic selection lists
	loadjs.done("fimagenes_inmuebleadd");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $imagenes_inmueble_add->showPageHeader(); ?>
<?php
$imagenes_inmueble_add->showMessage();
?>
<form name="fimagenes_inmuebleadd" id="fimagenes_inmuebleadd" class="<?php echo $imagenes_inmueble_add->FormClassName ?>" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="imagenes_inmueble">
<input type="hidden" name="action" id="action" value="insert">
<input type="hidden" name="modal" value="<?php echo (int)$imagenes_inmueble_add->IsModal ?>">
<div class="ew-add-div"><!-- page* -->
<?php if ($imagenes_inmueble_add->id_producto->Visible) { // id_producto ?>
	<div id="r_id_producto" class="form-group row">
		<label id="elh_imagenes_inmueble_id_producto" for="x_id_producto" class="<?php echo $imagenes_inmueble_add->LeftColumnClass ?>"><?php echo $imagenes_inmueble_add->id_producto->caption() ?><?php echo $imagenes_inmueble_add->id_producto->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $imagenes_inmueble_add->RightColumnClass ?>"><div <?php echo $imagenes_inmueble_add->id_producto->cellAttributes() ?>>
<span id="el_imagenes_inmueble_id_producto">
<input type="text" data-table="imagenes_inmueble" data-field="x_id_producto" name="x_id_producto" id="x_id_producto" size="30" maxlength="11" placeholder="<?php echo HtmlEncode($imagenes_inmueble_add->id_producto->getPlaceHolder()) ?>" value="<?php echo $imagenes_inmueble_add->id_producto->EditValue ?>"<?php echo $imagenes_inmueble_add->id_producto->editAttributes() ?>>
</span>
<?php echo $imagenes_inmueble_add->id_producto->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($imagenes_inmueble_add->num_imagen->Visible) { // num_imagen ?>
	<div id="r_num_imagen" class="form-group row">
		<label id="elh_imagenes_inmueble_num_imagen" for="x_num_imagen" class="<?php echo $imagenes_inmueble_add->LeftColumnClass ?>"><?php echo $imagenes_inmueble_add->num_imagen->caption() ?><?php echo $imagenes_inmueble_add->num_imagen->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $imagenes_inmueble_add->RightColumnClass ?>"><div <?php echo $imagenes_inmueble_add->num_imagen->cellAttributes() ?>>
<span id="el_imagenes_inmueble_num_imagen">
<input type="text" data-table="imagenes_inmueble" data-field="x_num_imagen" name="x_num_imagen" id="x_num_imagen" size="30" maxlength="12" placeholder="<?php echo HtmlEncode($imagenes_inmueble_add->num_imagen->getPlaceHolder()) ?>" value="<?php echo $imagenes_inmueble_add->num_imagen->EditValue ?>"<?php echo $imagenes_inmueble_add->num_imagen->editAttributes() ?>>
</span>
<?php echo $imagenes_inmueble_add->num_imagen->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($imagenes_inmueble_add->imagen->Visible) { // imagen ?>
	<div id="r_imagen" class="form-group row">
		<label id="elh_imagenes_inmueble_imagen" class="<?php echo $imagenes_inmueble_add->LeftColumnClass ?>"><?php echo $imagenes_inmueble_add->imagen->caption() ?><?php echo $imagenes_inmueble_add->imagen->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $imagenes_inmueble_add->RightColumnClass ?>"><div <?php echo $imagenes_inmueble_add->imagen->cellAttributes() ?>>
<span id="el_imagenes_inmueble_imagen">
<div id="fd_x_imagen">
<div class="input-group">
	<div class="custom-file">
		<input type="file" class="custom-file-input" title="<?php echo $imagenes_inmueble_add->imagen->title() ?>" data-table="imagenes_inmueble" data-field="x_imagen" name="x_imagen" id="x_imagen" lang="<?php echo CurrentLanguageID() ?>"<?php echo $imagenes_inmueble_add->imagen->editAttributes() ?><?php if ($imagenes_inmueble_add->imagen->ReadOnly || $imagenes_inmueble_add->imagen->Disabled) echo " disabled"; ?>>
		<label class="custom-file-label ew-file-label" for="x_imagen"><?php echo $Language->phrase("ChooseFile") ?></label>
	</div>
</div>
<input type="hidden" name="fn_x_imagen" id= "fn_x_imagen" value="<?php echo $imagenes_inmueble_add->imagen->Upload->FileName ?>">
<input type="hidden" name="fa_x_imagen" id= "fa_x_imagen" value="0">
<input type="hidden" name="fs_x_imagen" id= "fs_x_imagen" value="255">
<input type="hidden" name="fx_x_imagen" id= "fx_x_imagen" value="<?php echo $imagenes_inmueble_add->imagen->UploadAllowedFileExt ?>">
<input type="hidden" name="fm_x_imagen" id= "fm_x_imagen" value="<?php echo $imagenes_inmueble_add->imagen->UploadMaxFileSize ?>">
</div>
<table id="ft_x_imagen" class="table table-sm float-left ew-upload-table"><tbody class="files"></tbody></table>
</span>
<?php echo $imagenes_inmueble_add->imagen->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($imagenes_inmueble_add->estado->Visible) { // estado ?>
	<div id="r_estado" class="form-group row">
		<label id="elh_imagenes_inmueble_estado" for="x_estado" class="<?php echo $imagenes_inmueble_add->LeftColumnClass ?>"><?php echo $imagenes_inmueble_add->estado->caption() ?><?php echo $imagenes_inmueble_add->estado->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $imagenes_inmueble_add->RightColumnClass ?>"><div <?php echo $imagenes_inmueble_add->estado->cellAttributes() ?>>
<span id="el_imagenes_inmueble_estado">
<input type="text" data-table="imagenes_inmueble" data-field="x_estado" name="x_estado" id="x_estado" size="30" maxlength="11" placeholder="<?php echo HtmlEncode($imagenes_inmueble_add->estado->getPlaceHolder()) ?>" value="<?php echo $imagenes_inmueble_add->estado->EditValue ?>"<?php echo $imagenes_inmueble_add->estado->editAttributes() ?>>
</span>
<?php echo $imagenes_inmueble_add->estado->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div><!-- /page* -->
<?php if (!$imagenes_inmueble_add->IsModal) { ?>
<div class="form-group row"><!-- buttons .form-group -->
	<div class="<?php echo $imagenes_inmueble_add->OffsetColumnClass ?>"><!-- buttons offset -->
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("AddBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $imagenes_inmueble_add->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
	</div><!-- /buttons offset -->
</div><!-- /buttons .form-group -->
<?php } ?>
</form>
<?php
$imagenes_inmueble_add->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$imagenes_inmueble_add->terminate();
?>